% On utilise ce fichier pour faire la validation en boucle ferme.
% Aurelian Constantinescu

clc;
clear;
close all;

% On charge l'excitation et la sortie, entre lesquelles on a identifi.
% La commande u est la deuxime colonne de bfreg5m.dat, la sortie y la premire colonne de bfreg5m.dat, l'excitation r la
% troisime colonne.
load bfreg5m.dat;
y=bfreg5m(:,1);
u=bfreg5m(:,2);
r=bfreg5m(:,3);

% On charge le rgulateur:
load susp5;

% On charge les modles identifis:

% 1)
load bfafcl6;
% Le test de validation:
figure(1);
clvalid(Baf6,Aaf6,R,S,S,y,r);
pause;

% 2)
load bfcl6;
% Le test de validation:
clc;
figure(2);
clvalid(B6,A6,R,S,S,y,r);
pause;

% 3)
load bfxcl6;
% Le test de validation:
clc;
figure(3);
clvalid(Bx6,Ax6,R,S,S,y,r);
pause;

% 4)
load bffcl6;
% Le test de validation:
clc;
figure(4);
clvalid(Bf6,Af6,R,S,S,y,r);
pause;

% 5)
load ar4_6dd;
% Le test de validation:
clc;
figure(5);
clvalid(B,A,R,S,S,y,r);
pause;


% 6)
load bofar6;
% Le test de validation:
clc;
figure(6);
clvalid(B,A,R,S,S,y,r);
pause;